{% extends "index.html" %}
{% block title %}
    <title>Order details</title>
    <script src="https://polyfill.io/v3/polyfill.min.js?version=3.52.1&features=fetch"></script>
    <script src="https://js.stripe.com/v3/"></script>
{% endblock %}
{% block content %}
    {% if refresh %}
        <script>
            window.location.replace("refresh");
            alert("Oooops. Due to security reasons, we had to redirect you to another page on our website.")</script>
    {% endif %}
    <body>
    <div class="sth-payment">
        <section>
            <div class="cont-payment">
                <div class="product" id="prod-land">
                    <div class="description">
                        {% if order %}
                            <h5>Value: {{ order.value }} $</h5>
                            <h6>VAT: {{ order.vat }}</h6>
                            <h6>Shipment: {{ order.shipment }}</h6>
                        {% else %}
                            <h5>Value: {{ total }} $</h5>
                            <h6>VAT: {{ vat }}</h6>
                            <h6>Shipment: {{ shipment }}</h6>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="cnt">
                <hr/>
                <h2>Payment</h2>
            </div>
            <form id="payment-form" name="frml" class="frm"
                  action="{% url 'payment_handling' %}" method="post" onsubmit="return validateForm()">
                <label>
                    <input type="hidden" name="{{ order.id }}">
                </label>
                <label>
                    <input type="email" id="email" class="inpu" placeholder="Email address" name="email" required/>
                </label><br>
                <label>
                    <input type="text" class="inpu" placeholder="Bank account" name="bank_account"
                           required>
                </label><br>
                <button id="submit" class="bu">
                    <span id="button-text">Pay</span>
                </button>
                <p id="card-error" role="alert"></p>
                {% csrf_token %}
            </form>
        </section>

    </div>
    </body>
    <script>
        if (window.history.replaceState) {
            window.history.replaceState(null, null, window.location.href);
        }
    </script>
    <script>
        function validateForm() {
            var bank_account = document.forms['frml']['bank_account'].value
            var removed_blank_spice = bank_account.split(" ").join("")
            if (removed_blank_spice.length !== 16) {
                alert("Wrong input. Please try again")
                return false;
            }
            if (isNaN(removed_blank_spice)) {
                alert("WRONG INPUT");
                return false;
            }
        }
    </script>
{% endblock %}